CREATE TABLE  CDM_Product_Master_Hist  (
   Product_Master_Hist_Id  bigint(20) NOT NULL AUTO_INCREMENT,
   Product_Id  bigint(20) NOT NULL,
   Product_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Is_Processed  tinyint(4) NOT NULL DEFAULT -1,
   Is_Active  varchar(128) NOT NULL DEFAULT '',
   Is_Private_Label  varchar(128) NOT NULL DEFAULT '',
   Is_Premium  varchar(128) NOT NULL DEFAULT '',
   Unit_Price  decimal(15,2) NOT NULL DEFAULT -1.00,
   Brand_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_Id  bigint(20) NOT NULL DEFAULT -1,
   Brand_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Comp_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Up_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cross_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Launch_Date  date DEFAULT NULL,
   Expiry_Date  date DEFAULT NULL,
   Launch_Year  smallint(6) DEFAULT NULL,
   Launch_Year_Month  int(11) DEFAULT NULL,
   Launch_Day_Week  tinyint(4) NOT NULL DEFAULT -1,
   Uom  varchar(128) NOT NULL DEFAULT '',
   Tax_Category  varchar(128) NOT NULL DEFAULT '',
   Product_Name  varchar(128) NOT NULL DEFAULT '',
   Product_Desc  varchar(128) NOT NULL DEFAULT '',
   Product_Comm_Name  varchar(128) NOT NULL DEFAULT '',
   To_Be_Excluded  varchar(128) NOT NULL DEFAULT '',
   Is_Combo  varchar(128) NOT NULL DEFAULT '',
   Is_Ingredient  varchar(128) NOT NULL DEFAULT '',
   Festival_Id_During_Launch  bigint(20) NOT NULL DEFAULT -1,
   Brand_Event_Id_During_Launch  bigint(20) NOT NULL DEFAULT -1,
   Fabric_Base  varchar(128) NOT NULL DEFAULT '',
   Fit  varchar(128) NOT NULL DEFAULT '',
   Design  varchar(128) NOT NULL DEFAULT '',
   Colour  varchar(128) NOT NULL DEFAULT '',
   Replenish_Days  bigint(10) NOT NULL DEFAULT -1,
   Custom_Attrib  varchar(1024) NOT NULL DEFAULT '',
   Custom_Tag1_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag2_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag3_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag4_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag5_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag6_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag7_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag8_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag9_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag10_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag11_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag12_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag13_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag14_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag15_LOV_Id  bigint(20) DEFAULT -1,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Product_Genome  varchar(512) NOT NULL DEFAULT '',
   Product_Genome_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Image_LOV_Id  bigint(20) DEFAULT -1,
   Fabric_Base_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Fit_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Design_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Colour_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Bottom_Cut_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Sleeve_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Top_Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Stiffness_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Shape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Stiffness_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Thread_Color_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Placement_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Back_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Monogram_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Monogram_Color_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Gusset_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Gusset_Contrast_Leather_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Gusset_Contrast_Suede_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Product_URL  varchar(128) DEFAULT '-1',
  PRIMARY KEY ( Product_Master_Hist_Id ),
  KEY  Product_Id  ( Product_Id ),
  KEY  Created_Date  ( Created_Date )
) ENGINE=InnoDB AUTO_INCREMENT=3772586 DEFAULT CHARSET=latin1;
